%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		charls
Version:	2.4.2
Release:	%mkrel 2
Summary:	An optimized implementation of the JPEG-LS standard
Group:		System/Libraries
License:	BSD
URL:		https://github.com/team-charls/charls
Source0:	https://github.com/team-charls/charls/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	dos2unix

%description
An optimized implementation of the JPEG-LS standard for loss less and 
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different
techniques result in vastly different performance characteristics.

#----------------------------------------------------

%package -n %{libname}
Summary:	An optimized implementation of the JPEG-LS standard
Group:		System/Libraries
Provides:	%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:	CharLS = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:	CharLS < 1.0-6

%description -n %{libname}
An optimized implementation of the JPEG-LS standard for loss less and 
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different
techniques result in vastly different performance characteristics.

#----------------------------------------------------

%package -n %{develname}
Summary:	Libraries and headers for CharLS
Group:		Development/C
Requires:	%{libname} = %{?epoch:%epoch:}%{version}-%{release}
Provides:	%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:	CharLS-devel = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:	CharLS-devel < 1.0-6

%description -n %{develname}
CharLS - An optimized implementation of the JPEG-LS standard.

This package contains development libraries and headers for CharLS.

#----------------------------------------------------

%prep
%setup -q

%build
%cmake -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%check
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
ctest ./src

%files -n %{libname}
%doc CHANGELOG.md README.md SECURITY.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.4.2-2.mga10
+ Revision: 2219093
- Mageia 10 Mass Rebuild

* Fri Oct 13 2023 daviddavid <daviddavid> 2.4.2-1.mga10
+ Revision: 1995549
- new version: 2.4.2

* Fri Jan 20 2023 daviddavid <daviddavid> 2.4.1-1.mga9
+ Revision: 1934585
- new version: 2.4.1

* Wed Nov 30 2022 daviddavid <daviddavid> 2.3.4-1.mga9
+ Revision: 1913514
- new version: 2.3.4

* Thu Mar 17 2022 umeabot <umeabot> 2.1.0-2.mga9
+ Revision: 1797439
- Mageia 9 Mass Rebuild

* Wed Jul 15 2020 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1606292
- new version: 2.1.0

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1511231
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Sep 22 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1296111
- Mageia 7 Mass Rebuild

* Mon Feb 13 2017 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1085997
- new version: 2.0.0
- fix libification
- obsoletes/provides old pkg name
- rename package to charls

* Mon Feb 08 2016 umeabot <umeabot> 1.0-5.mga6
+ Revision: 947252
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 739312
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 677642
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-2.mga4
+ Revision: 502403
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-1.mga3
+ Revision: 345058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 13 2011 gil <gil> 1.0-0.mga2
+ Revision: 123804
- imported package CharLS

